<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'hrm',

    /*
     * Package.
     */
    'package'   => 'vacancy',

    /*
     * Modules.
     */
    'modules'   => ['vacancy'],

    
    'vacancy'       => [
        'model' => [
            'model'                 => \Hrm\Vacancy\Models\Vacancy::class,
            'table'                 => 'vacancies',
            'presenter'             => \Hrm\Vacancy\Repositories\Presenter\VacancyPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'user_id',  'user_type',  'client_id',  'unit_id',  'job_id',  'reference',  'location',  'details',  'date',  'shift_type',  'break_time',  'space',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'vacancy/vacancy',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Hrm',
            'package'   => 'Vacancy',
            'module'    => 'Vacancy',
        ],

    ],
];
