<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateVacanciesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: vacancies
         */
        Schema::create('vacancies', function ($table) {
            $table->increments('id');
            $table->integer('user_id')->nullable();
            $table->string('user_type', 100)->nullable();
            $table->integer('client_id')->nullable();
            $table->integer('unit_id')->nullable();
            $table->integer('job_id')->nullable();
            $table->string('reference', 100)->nullable();
            $table->string('location', 255)->nullable();
            $table->text('details')->nullable();
            $table->date('date')->nullable();
            $table->enum('shift_type', ['Day','Night'])->nullable();
            $table->float('break_time')->nullable();
            $table->string('space', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('vacancies');
    }
}
